Ir para o conteúdo
Documentação do Endless

List project conversations

GET
/projects/{project_id}/conversations

Lists the project conversations the caller can read. Scoped to the project named by project_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

project_id*string
Formatuuid

Query Parameters

limit?integer
Range1 <= value <= 100
cursor?string

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/0191e5a2-9b3f-7f25-8c07-5e2d7b14a9c6/conversations"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organization_id": "string",      "created_by_id": "string",      "title": "string",      "visibility": "private",      "workspace_role": "viewer",      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",      "active_leaf_id": "c8d08496-126b-4d7c-ab5e-5d8539e8add1",      "schedule_id": "8929bb67-0da1-406c-99d2-5447376a4f58",      "forked_from_conversation_id": "9efa4a3e-b183-495f-84f7-6ee3978206a9",      "message_count": -2147483648,      "last_message_at": "2019-08-24T14:15:22Z",      "active_run_id": "string",      "active_run_at": "2019-08-24T14:15:22Z",      "mod_conversation_id": "string",      "deleted_at": "2019-08-24T14:15:22Z",      "deleted_by_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "shared": true,      "can_edit": true,      "can_delete": true    }  ],  "next_cursor": "string"}